Package org.eclipse.graphiti.internal.features.context.impl.base

## Class PictogramElementContext

- java.lang.Object
- - org.eclipse.graphiti.PropertyBag
  - - org.eclipse.graphiti.internal.features.context.impl.base.DefaultContext
    - - org.eclipse.graphiti.internal.features.context.impl.base.PictogramElementContext

All Implemented Interfaces:
  `IContext`, `IPictogramElementContext`, `IPropertyBag`

Direct Known Subclasses:
  `DeleteContext`, `DetailedPictogramElementContext`, `LayoutContext`, `RemoveContext`, `UpdateContext`

    public class PictogramElementContext
    extends DefaultContext
    implements IPictogramElementContext

The Class PictogramElementContext.

### Constructor Summary

Constructors
`PictogramElementContext()` Instantiates a new pictogram element context.
`PictogramElementContext​(PictogramElement pictogramElement)` The Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`PictogramElement` `getPictogramElement()` Gets the pictogram element.
`protected void` `setPictogramElement​(PictogramElement pictogramElement)` Sets the pictogram element.
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.graphiti.PropertyBag

`getProperty, getPropertyKeys, putProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

### Constructor Detail

#### PictogramElementContext

    public PictogramElementContext​(PictogramElement pictogramElement)

The Constructor.

Parameters:
  `pictogramElement` - the pictogram element

#### PictogramElementContext

    public PictogramElementContext()

Instantiates a new pictogram element context.

### Method Detail

#### getPictogramElement

    public PictogramElement getPictogramElement()

Description copied from interface: `IPictogramElementContext`
Gets the pictogram element.

Specified by:
  `getPictogramElement` in interface `IPictogramElementContext`
Returns:
  the pictogram element

#### setPictogramElement

    protected void setPictogramElement​(PictogramElement pictogramElement)

Sets the pictogram element.

Parameters:
  `pictogramElement` - The pictogramElement to set.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `DefaultContext`